From 3c19e53ad1ff1808dc9e3d41ca88c8d1eb5f38f9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 30 2020 03:32:14 +0000
Subject: [PATCH 203/2232] Enable Namespace to be used in format_ident


---

diff --git a/macro/src/namespace.rs b/macro/src/namespace.rs
index 678e7e0..d2b3e1c 100644
--- a/macro/src/namespace.rs
+++ b/macro/src/namespace.rs
@@ -1,4 +1,5 @@
 use crate::syntax::ident;
+use quote::IdentFragment;
 use std::fmt::{self, Display};
 use syn::parse::{Parse, ParseStream, Result};
 use syn::{Path, Token};
@@ -37,3 +38,9 @@ impl Display for Namespace {
         Ok(())
     }
 }
+
+impl IdentFragment for Namespace {
+    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
+        Display::fmt(self, f)
+    }
+}

